i2c_add_adapter
Prev | Chapter 30. I2C and SMBus Subsystem | Next

## Name

i2c_add_adapter — declare i2c adapter, use dynamic bus number

## Synopsis

`int i2c_add_adapter (` | struct i2c_adapter * | adapter`)`;

## Arguments

`adapter`

  the adapter to add

## Context

can sleep

## Description

This routine is used to declare an I2C adapter when its bus number doesn't matter. Examples: for I2C adapters dynamically added by USB links or PCI plugin cards.

When this returns zero, a new bus number was allocated and stored in adap->nr, and the specified adapter became available for clients. Otherwise, a negative errno value is returned.

Prev | Up | Next
i2c_unregister_device | Home | i2c_add_numbered_adapter